Add an event to the task's event log.
curl --request POST \
--url https://app.synthpop.ai/public/v1/task/{task_uuid}/log_event \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"event": "<string>",
"extra_data": {}
}
'import requests
url = "https://app.synthpop.ai/public/v1/task/{task_uuid}/log_event"
payload = {
"event": "<string>",
"extra_data": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({event: '<string>', extra_data: {}})
};
fetch('https://app.synthpop.ai/public/v1/task/{task_uuid}/log_event', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"task_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status_message": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Tasks
Add an event to the task's event log.
POST
/
task
/
{task_uuid}
/
log_event
Add an event to the task's event log.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
⌘I

